org.wildfly.swarm.resource.adapters

## Class ResourceAdapterFraction

- java.lang.Object
- - org.wildfly.swarm.config.ResourceAdapters<ResourceAdapterFraction>
  - - org.wildfly.swarm.resource.adapters.ResourceAdapterFraction

- All Implemented Interfaces:
    Fraction<ResourceAdapterFraction>

      public class ResourceAdapterFraction
      extends ResourceAdapters<ResourceAdapterFraction>
      implements Fraction<ResourceAdapterFraction>

  Author:
    Ralf Battenfeld

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.ResourceAdapters

      `ResourceAdapters.ResourceAdaptersResources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAdapterFraction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceAdapterFraction` | `resourceAdapter(ResourceAdapter value)` Add the ResourceAdapter object to the list of subresources

    - ### Methods inherited from class org.wildfly.swarm.config.ResourceAdapters

      `addPropertyChangeListener, getKey, removePropertyChangeListener, resourceAdapter, resourceAdapter, resourceAdapter, resourceAdapters, subresources`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults, applyDefaults`

- - ### Constructor Detail

    - #### ResourceAdapterFraction

          public ResourceAdapterFraction()

  - ### Method Detail

    - #### resourceAdapter

          public ResourceAdapterFraction resourceAdapter(ResourceAdapter value)

      Description copied from class: `ResourceAdapters`
      Add the ResourceAdapter object to the list of subresources
      Overrides:
        `resourceAdapter` in class `ResourceAdapters<ResourceAdapterFraction>`
      Parameters:
        `value` - The ResourceAdapter to add
      Returns:
        this

Copyright © 2017 JBoss by Red Hat. All rights reserved.